org.eclipse.ease.lang.python.debugger

## Interface IPyFrame

All Known Implementing Classes:
  JythonFrame

    public interface IPyFrame

Abstraction interface for frame information in Python.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFilename()` Returns the filename of the current frame.
`int` `getLineNumber()` Returns the linenumber of the current frame.
`IPyFrame` `getParent()` Returns the parent frame in the call stack.
`java.lang.Object` `getVariable(java.lang.String name)` Get a variable from the current frame.
`java.util.Map<java.lang.String,java.lang.Object>` `getVariables()` Get variables visible from current frame.
`void` `setVariable(java.lang.String name, java.lang.Object value)` Set the content of a variable to a given value.

### Method Detail

#### getFilename

    java.lang.String getFilename()

Returns the filename of the current frame.

Must NOT return `null`.

Returns:
  filename for the current frame.

#### getLineNumber

    int getLineNumber()

Returns the linenumber of the current frame.

Returns:
  line number of the current frame.

#### getParent

    IPyFrame getParent()

Returns the parent frame in the call stack.

If the current frame is the root, `null` should be returned.

Returns:
  Parent in the call stack or `null`

#### getVariable

    java.lang.Object getVariable(java.lang.String name)

Get a variable from the current frame.

Parameters:
  `name` - variable name to look up
Returns:
  variable or `null`

#### getVariables

    java.util.Map<java.lang.String,java.lang.Object> getVariables()

Get variables visible from current frame.

Returns:
  variableName -> variableContent

#### setVariable

    void setVariable(java.lang.String name,
                     java.lang.Object value)

Set the content of a variable to a given value.

Parameters:
  `name` - name of variable to set
  `value` - value to set to